ActionNames (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action, class: ActionNames

Package org.apache.jmeter.gui.action

# Class ActionNames

java.lang.Object
org.apache.jmeter.gui.action.ActionNames

public final class ActionNames extends Object
Collect all the action names together in one place. This helps to ensure that there are no duplicates

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABOUT`
  `static final String`
  `ACTION_SHUTDOWN`
  `static final String`
  `ACTION_START`
  `static final String`
  `ACTION_START_NO_TIMERS`
  `static final String`
  `ACTION_STOP`
  `static final String`
  `ADD`
  `static final String`
  `ADD_ALL`
  `static final String`
  `ADD_PARENT`
  `static final String`
  `ADD_THINK_TIME_BETWEEN_EACH_STEP`
  `static final String`
  `ANALYZE_FILE`
  `static final String`
  `APPLY_NAMING_CONVENTION`
  `static final String`
  `CHANGE_LANGUAGE`
  `static final String`
  `CHANGE_PARENT`
  `static final String`
  `CHECK_CUT`
  `static final String`
  `CHECK_DIRTY`
  `static final String`
  `CHECK_REMOVE`
  `static final String`
  `CLEAR`
  `static final String`
  `CLEAR_ALL`
  `static final String`
  `CLOSE`
  `static final String`
  `COLLAPSE`
  `static final String`
  `COLLAPSE_ALL`
  `static final String`
  `COMPILE_JSR223`
  `static final String`
  `COPY`
  `static final String`
  `COPY_CODE`
  `static final String`
  `CUT`
  `static final String`
  `DEBUG_OFF`
  `static final String`
  `DEBUG_ON`
  `static final String`
  `DISABLE`
  `static final String`
  `DUPLICATE`
  Copy, then paste afterwards
  `static final String`
  `EDIT`
  `static final String`
  `ENABLE`
  `static final String`
  `EXIT`
  `static final String`
  `EXPAND`
  `static final String`
  `EXPAND_ALL`
  `static final String`
  `FUNCTIONS`
  `static final String`
  `HEAP_DUMP`
  `static final String`
  `HELP`
  `static final String`
  `HTML_REPORT`
  `static final String`
  `LAF_PREFIX`
  `static final String`
  `LINK_BUG_TRACKER`
  `static final String`
  `LINK_COMP_REF`
  `static final String`
  `LINK_FUNC_REF`
  `static final String`
  `LINK_NIGHTLY_BUILD`
  `static final String`
  `LINK_RELEASE_NOTES`
  `static final String`
  `LOG_LEVEL_PREFIX`
  `static final String`
  `LOGGER_PANEL_ENABLE_DISABLE`
  `static final String`
  `MERGE`
  `static final String`
  `MOVE_DOWN`
  `static final String`
  `MOVE_LEFT`
  `static final String`
  `MOVE_RIGHT`
  `static final String`
  `MOVE_UP`
  `static final String`
  `OPEN`
  `static final String`
  `OPEN_RECENT`
  `static final String`
  `PARSE_CURL`
  `static final String`
  `PASTE`
  `static final String`
  `QUICK_COMPONENT`
  `static final String`
  `REDO`
  `static final String`
  `REMOTE_EXIT`
  `static final String`
  `REMOTE_EXIT_ALL`
  `static final String`
  `REMOTE_SHUT`
  `static final String`
  `REMOTE_SHUT_ALL`
  `static final String`
  `REMOTE_START`
  `static final String`
  `REMOTE_START_ALL`
  `static final String`
  `REMOTE_STOP`
  `static final String`
  `REMOTE_STOP_ALL`
  `static final String`
  `REMOVE`
  `static final String`
  `RESTART`
  `static final String`
  `REVERT_PROJECT`
  `static final String`
  `RUN_TG`
  `static final String`
  `RUN_TG_NO_TIMERS`
  `static final String`
  `SAVE`
  `static final String`
  `SAVE_ALL_AS`
  `static final String`
  `SAVE_AS`
  `static final String`
  `SAVE_AS_TEST_FRAGMENT`
  `static final String`
  `SAVE_BEFORE_RUN`
  `static final String`
  `SAVE_GRAPHICS`
  `static final String`
  `SAVE_GRAPHICS_ALL`
  `static final String`
  `SCHEMATIC_VIEW`
  `static final String`
  `SEARCH_RESET`
  `static final String`
  `SEARCH_TREE`
  `static final String`
  `SSL_MANAGER`
  `static final String`
  `STOP_THREAD`
  `static final String`
  `SUB_TREE_LOADED`
  `static final String`
  `SUB_TREE_MERGED`
  `static final String`
  `SUB_TREE_SAVED`
  `static final String`
  `TEMPLATES`
  `static final String`
  `THREAD_DUMP`
  `static final String`
  `TOGGLE`
  `static final String`
  `TOOLBAR`
  `static final String`
  `UNDO`
  `static final String`
  `VALIDATE_TG`
  `static final String`
  `WHAT_CLASS`
  `static final String`
  `ZOOM_IN`
  `static final String`
  `ZOOM_OUT`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ABOUT

    public static final String ABOUT
    See Also:
      - Constant Field Values

  - ### ACTION_SHUTDOWN

    public static final String ACTION_SHUTDOWN
    See Also:
      - Constant Field Values

  - ### ACTION_START

    public static final String ACTION_START
    See Also:
      - Constant Field Values

  - ### ACTION_START_NO_TIMERS

    public static final String ACTION_START_NO_TIMERS
    See Also:
      - Constant Field Values

  - ### ACTION_STOP

    public static final String ACTION_STOP
    See Also:
      - Constant Field Values

  - ### ADD

    public static final String ADD
    See Also:
      - Constant Field Values

  - ### ADD_ALL

    public static final String ADD_ALL
    See Also:
      - Constant Field Values

  - ### ADD_PARENT

    public static final String ADD_PARENT
    See Also:
      - Constant Field Values

  - ### ADD_THINK_TIME_BETWEEN_EACH_STEP

    public static final String ADD_THINK_TIME_BETWEEN_EACH_STEP
    See Also:
      - Constant Field Values

  - ### ANALYZE_FILE

    public static final String ANALYZE_FILE
    See Also:
      - Constant Field Values

  - ### APPLY_NAMING_CONVENTION

    public static final String APPLY_NAMING_CONVENTION
    See Also:
      - Constant Field Values

  - ### CHANGE_LANGUAGE

    public static final String CHANGE_LANGUAGE
    See Also:
      - Constant Field Values

  - ### CHANGE_PARENT

    public static final String CHANGE_PARENT
    See Also:
      - Constant Field Values

  - ### CHECK_DIRTY

    public static final String CHECK_DIRTY
    See Also:
      - Constant Field Values

  - ### CHECK_REMOVE

    public static final String CHECK_REMOVE
    See Also:
      - Constant Field Values

  - ### CHECK_CUT

    public static final String CHECK_CUT
    See Also:
      - Constant Field Values

  - ### CLEAR

    public static final String CLEAR
    See Also:
      - Constant Field Values

  - ### CLEAR_ALL

    public static final String CLEAR_ALL
    See Also:
      - Constant Field Values

  - ### CLOSE

    public static final String CLOSE
    See Also:
      - Constant Field Values

  - ### COLLAPSE_ALL

    public static final String COLLAPSE_ALL
    See Also:
      - Constant Field Values

  - ### COMPILE_JSR223

    public static final String COMPILE_JSR223
    See Also:
      - Constant Field Values

  - ### COPY

    public static final String COPY
    See Also:
      - Constant Field Values

  - ### COPY_CODE

    public static final String COPY_CODE
    See Also:
      - Constant Field Values

  - ### CUT

    public static final String CUT
    See Also:
      - Constant Field Values

  - ### DEBUG_ON

    public static final String DEBUG_ON
    See Also:
      - Constant Field Values

  - ### DEBUG_OFF

    public static final String DEBUG_OFF
    See Also:
      - Constant Field Values

  - ### DISABLE

    public static final String DISABLE
    See Also:
      - Constant Field Values

  - ### DUPLICATE

    public static final String DUPLICATE
    Copy, then paste afterwards
    See Also:
      - Constant Field Values

  - ### EDIT

    public static final String EDIT
    See Also:
      - Constant Field Values

  - ### ENABLE

    public static final String ENABLE
    See Also:
      - Constant Field Values

  - ### EXIT

    public static final String EXIT
    See Also:
      - Constant Field Values

  - ### EXPAND_ALL

    public static final String EXPAND_ALL
    See Also:
      - Constant Field Values

  - ### FUNCTIONS

    public static final String FUNCTIONS
    See Also:
      - Constant Field Values

  - ### HELP

    public static final String HELP
    See Also:
      - Constant Field Values

  - ### HEAP_DUMP

    public static final String HEAP_DUMP
    See Also:
      - Constant Field Values

  - ### HTML_REPORT

    public static final String HTML_REPORT
    See Also:
      - Constant Field Values

  - ### LAF_PREFIX

    public static final String LAF_PREFIX
    See Also:
      - Constant Field Values

  - ### LINK_BUG_TRACKER

    public static final String LINK_BUG_TRACKER
    See Also:
      - Constant Field Values

  - ### LINK_COMP_REF

    public static final String LINK_COMP_REF
    See Also:
      - Constant Field Values

  - ### LINK_FUNC_REF

    public static final String LINK_FUNC_REF
    See Also:
      - Constant Field Values

  - ### LINK_NIGHTLY_BUILD

    public static final String LINK_NIGHTLY_BUILD
    See Also:
      - Constant Field Values

  - ### LINK_RELEASE_NOTES

    public static final String LINK_RELEASE_NOTES
    See Also:
      - Constant Field Values

  - ### LOGGER_PANEL_ENABLE_DISABLE

    public static final String LOGGER_PANEL_ENABLE_DISABLE
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_PREFIX

    public static final String LOG_LEVEL_PREFIX
    See Also:
      - Constant Field Values

  - ### MERGE

    public static final String MERGE
    See Also:
      - Constant Field Values

  - ### OPEN

    public static final String OPEN
    See Also:
      - Constant Field Values

  - ### OPEN_RECENT

    public static final String OPEN_RECENT
    See Also:
      - Constant Field Values

  - ### TEMPLATES

    public static final String TEMPLATES
    See Also:
      - Constant Field Values

  - ### PASTE

    public static final String PASTE
    See Also:
      - Constant Field Values

  - ### REMOTE_EXIT

    public static final String REMOTE_EXIT
    See Also:
      - Constant Field Values

  - ### REMOTE_EXIT_ALL

    public static final String REMOTE_EXIT_ALL
    See Also:
      - Constant Field Values

  - ### REMOTE_SHUT

    public static final String REMOTE_SHUT
    See Also:
      - Constant Field Values

  - ### REMOTE_SHUT_ALL

    public static final String REMOTE_SHUT_ALL
    See Also:
      - Constant Field Values

  - ### REMOTE_START

    public static final String REMOTE_START
    See Also:
      - Constant Field Values

  - ### REMOTE_START_ALL

    public static final String REMOTE_START_ALL
    See Also:
      - Constant Field Values

  - ### REMOTE_STOP

    public static final String REMOTE_STOP
    See Also:
      - Constant Field Values

  - ### REMOTE_STOP_ALL

    public static final String REMOTE_STOP_ALL
    See Also:
      - Constant Field Values

  - ### REMOVE

    public static final String REMOVE
    See Also:
      - Constant Field Values

  - ### RESTART

    public static final String RESTART
    See Also:
      - Constant Field Values

  - ### REVERT_PROJECT

    public static final String REVERT_PROJECT
    See Also:
      - Constant Field Values

  - ### SAVE

    public static final String SAVE
    See Also:
      - Constant Field Values

  - ### SAVE_ALL_AS

    public static final String SAVE_ALL_AS
    See Also:
      - Constant Field Values

  - ### SAVE_AS

    public static final String SAVE_AS
    See Also:
      - Constant Field Values

  - ### SAVE_AS_TEST_FRAGMENT

    public static final String SAVE_AS_TEST_FRAGMENT
    See Also:
      - Constant Field Values

  - ### SAVE_GRAPHICS

    public static final String SAVE_GRAPHICS
    See Also:
      - Constant Field Values

  - ### SAVE_GRAPHICS_ALL

    public static final String SAVE_GRAPHICS_ALL
    See Also:
      - Constant Field Values

  - ### SSL_MANAGER

    public static final String SSL_MANAGER
    See Also:
      - Constant Field Values

  - ### STOP_THREAD

    public static final String STOP_THREAD
    See Also:
      - Constant Field Values

  - ### SUB_TREE_LOADED

    public static final String SUB_TREE_LOADED
    See Also:
      - Constant Field Values

  - ### SUB_TREE_MERGED

    public static final String SUB_TREE_MERGED
    See Also:
      - Constant Field Values

  - ### SUB_TREE_SAVED

    public static final String SUB_TREE_SAVED
    See Also:
      - Constant Field Values

  - ### TOGGLE

    public static final String TOGGLE
    See Also:
      - Constant Field Values

  - ### TOOLBAR

    public static final String TOOLBAR
    See Also:
      - Constant Field Values

  - ### WHAT_CLASS

    public static final String WHAT_CLASS
    See Also:
      - Constant Field Values

  - ### SEARCH_TREE

    public static final String SEARCH_TREE
    See Also:
      - Constant Field Values

  - ### SEARCH_RESET

    public static final String SEARCH_RESET
    See Also:
      - Constant Field Values

  - ### MOVE_UP

    public static final String MOVE_UP
    See Also:
      - Constant Field Values

  - ### MOVE_DOWN

    public static final String MOVE_DOWN
    See Also:
      - Constant Field Values

  - ### MOVE_LEFT

    public static final String MOVE_LEFT
    See Also:
      - Constant Field Values

  - ### MOVE_RIGHT

    public static final String MOVE_RIGHT
    See Also:
      - Constant Field Values

  - ### UNDO

    public static final String UNDO
    See Also:
      - Constant Field Values

  - ### REDO

    public static final String REDO
    See Also:
      - Constant Field Values

  - ### QUICK_COMPONENT

    public static final String QUICK_COMPONENT
    See Also:
      - Constant Field Values

  - ### COLLAPSE

    public static final String COLLAPSE
    See Also:
      - Constant Field Values

  - ### EXPAND

    public static final String EXPAND
    See Also:
      - Constant Field Values

  - ### RUN_TG

    public static final String RUN_TG
    See Also:
      - Constant Field Values

  - ### RUN_TG_NO_TIMERS

    public static final String RUN_TG_NO_TIMERS
    See Also:
      - Constant Field Values

  - ### SAVE_BEFORE_RUN

    public static final String SAVE_BEFORE_RUN
    See Also:
      - Constant Field Values

  - ### THREAD_DUMP

    public static final String THREAD_DUMP
    See Also:
      - Constant Field Values

  - ### VALIDATE_TG

    public static final String VALIDATE_TG
    See Also:
      - Constant Field Values

  - ### ZOOM_IN

    public static final String ZOOM_IN
    See Also:
      - Constant Field Values

  - ### ZOOM_OUT

    public static final String ZOOM_OUT
    See Also:
      - Constant Field Values

  - ### PARSE_CURL

    public static final String PARSE_CURL
    See Also:
      - Constant Field Values

  - ### SCHEMATIC_VIEW

    public static final String SCHEMATIC_VIEW
    See Also:
      - Constant Field Values